import request from '@/utils/request'

// 查询故障案例管理列表
export function listCase(query) {
  return request({
    url: '/system/case/list',
    method: 'get',
    params: query
  })
}

// 查询故障案例管理详细
export function getCase(id) {
  return request({
    url: '/system/case/' + id,
    method: 'get'
  })
}

// 新增故障案例管理
export function addCase(data) {
  return request({
    url: '/system/case',
    method: 'post',
    data: data
  })
}

// 修改故障案例管理
export function updateCase(data) {
  return request({
    url: '/system/case',
    method: 'put',
    data: data
  })
}

// 删除故障案例管理
export function delCase(id) {
  return request({
    url: '/system/case/' + id,
    method: 'delete'
  })
}
